Evince displays math equations incorrectly

Bug #162111 reported by Von
102
This bug affects 19 people
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Binary package hint: evince

I am using Evince to view a TexLive compilation of an Optics Express paper that I am trying to submit in DVI format. The paper displays correctly in xdvi, but not in Evince. Evince is much better in general than xdvi, so I would prefer to use it. Evince does not display many parts of my math equations correctly. It seems to be some kind of font issue, but I cannot figure out how to fix it.

Related branches

Revision history for this message
Von (daaxix) wrote :

Here is a Screen shot of the incorrectly displayed equation

Revision history for this message
Von (daaxix) wrote :

Here is a Screen shot of the correctly displayed equation as displayed by xdvi

Revision history for this message
Von (daaxix) wrote :

Here is the dvi in question

Revision history for this message
Von (daaxix) wrote :

I forgot to state by distribution, I am using Ubuntu 7.10 with Compiz-Fusion enabled, TexLive, the Gedit plugin for LaTeX. Evince still exhibits the same behavior even if I open the DVI file from the command line instead of from Gedit.

Revision history for this message
Pedro Villavicencio (pedro) wrote :

That's more like a poppler issue, re assigning.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=514881

Changed in evince:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Triaged
Changed in evince:
status: Unknown → New
Changed in evince:
status: New → Confirmed
Revision history for this message
Jero (jbuencuerpo) wrote :

Hello, I use Ubuntu 9.10 and I have this also, something is wrong with the Pi character in page 2. With Xpdf/Adobe Reader you could read it. I think its a poppler bug because epdfview uses poppler and have the same issue. Thanks

Revision history for this message
madbiologist (me-again) wrote :

@Jero - did you mean page 2 or page 4? All pages look fine here. I can see two Pi characters in the first formula on page 4. Can you attach a screenshot from Evince and a screenshot from Xpdf or Adobe Reader?

Revision history for this message
Jero (jbuencuerpo) wrote :

Hi,
Its page 4, but (dE/dx=...) I think was problem ot the font Symbol.pfb found it in /usr/share/fonts/type1/mathml/, I've changed and now it works, I change it with symbol.ttf (from /usr/share/fonts/truetype/ttf-symbol-replacement/symbol-replacement.ttf/) and rename it as Symbol.pfb.I attach the two fonts, and the screenshots you could see it in

http://bugs.freedesktop.org/show_bug.cgi?id=26139

I think the problem maybe be in the package xfonts-mathml, I tested the package from Debian Sid(version 4) and I have the same issue. In gnome-font-viewer font Symbol.pfb its seen wierd. I have tested on 3 computers with Karmic (my desktop/netbook, my girlfriend notebook)
Thanks

Revision history for this message
Jero (jbuencuerpo) wrote :

Seems to be a problem related to the ttf-symbol-replacement package,

https://bugs.launchpad.net/ubuntu/+source/wine/+bug/593361

Revision history for this message
Scott Ritchie (scottritchie) wrote :

What happens if you install a Windows official Symbol font? The symbol-replacement font shouldn't be used unless a document is calling for a font named "symbol"

Regardless, I'm trying to figure out whether Wine's version is using the wrong glyphs or Symbol in general is different.

Revision history for this message
Jero (jbuencuerpo) wrote :

With Symbol from my windows install I got the same problem.
Like I say in http://bugs.freedesktop.org/show_bug.cgi?id=26139 , If I replace /usr/share/fonts/X11/Type1/Symbol.pfb with symbol.ttf I could see everything ok in the document, Pi character,etc., but that messes up openoffice.

(About OO, I can't reproduce it know but it has done things weird in the past exporting to pdf after changing that font)

Thanks

Revision history for this message
Levente Torok (toroklev) wrote : Re: [Bug 162111] Re: Evince displays math equations incorrectly
Download full text (3.6 KiB)

It is interesting.
The same happens to me in okular (unlike in xpdf) so problem is not
with evince but with the popplar library for sure. ( see the enclosed
png file)
I also enclosed the with packages of fonts installed on my system.
And this is the output of pdffonts but I still don't know how to come
over this problem.

lev@red:~$ pdffonts -f 4 BleiJordan_LDA.pdf
name type emb sub uni object ID
------------------------------------ ----------------- --- --- --- ---------
CMR10 Type 1 yes no no 117 0
CMEX10 Type 1 yes no no 120 0
CMMI10 Type 1 yes no no 118 0
CMSY10 Type 1 yes no no 237 0
Times-Bold Type 1 no no no 228 0
Times-Roman Type 1 no no no 229 0
Times-Italic Type 1 no no no 231 0
Symbol Type 1 no no no 121 0
ZapfChancery-MediumItalic Type 1 no no no 119 0
Times-Italic Type 1 no no no 122 0
Courier Type 1 no no no 123 0
Helvetica Type 1 no no no 124 0
Times-Roman Type 1 no no no 125 0
Courier-Bold Type 1 no no no 126 0
[none] Type 3 yes no no 127 0
[none] Type 3 yes no no 128 0
[none] Type 3 yes no no 129 0
[none] Type 3 yes no no 130 0
[none] Type 3 yes no no 131 0
[none] Type 3 yes no no 157 0
[none] Type 3 yes no no 158 0
Helvetica Type 1 no no no 208 0

On the other hand, another machine which I also upgraded doesn't have
this problem at all.

Levente

On Mon, Jun 14, 2010 at 9:40 PM, Jero <email address hidden> wrote:
> With Symbol from my windows install I got the same problem.
> Like I say in http://bugs.freedesktop.org/show_bug.cgi?id=26139 , If I replace /usr/share/fonts/X11/Type1/Symbol.pfb with symbol.ttf I could see everything ok in the document, Pi character,etc., but that messes up openoffice.
>
> (About OO, I can't reproduce it know but it has done things weird in the
> past exporting to pdf after changing that font)
>
> Thanks
>
> --
> Evince displays math equations incorrectly
> https://bugs.launchpad.net/bugs/162111
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Evince document viewer: Confirmed
> Status in “evince” package in Ubuntu: Triaged
> Status in “wine1.2” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evince
>
> I am us...

Read more...

Revision history for this message
Jero (jbuencuerpo) wrote :
Download full text (5.0 KiB)

Levente as you said, okular and evince has the bug but xpdf and acroread not.
 If you install ttf-symbol-replacement in the other machine, you could
reproduce the bug?

2010/6/15 Levente Torok <email address hidden>:
> It is interesting.
> The same happens to me in okular (unlike in xpdf) so problem is not
> with evince but with the popplar library for sure. ( see the enclosed
> png file)
> I also enclosed the with packages of fonts installed on my system.
> And this is the output of pdffonts but I still don't know how to come
> over this problem.
>
>
> lev@red:~$ pdffonts -f 4 BleiJordan_LDA.pdf
> name                                 type              emb sub uni object ID
> ------------------------------------ ----------------- --- --- --- ---------
> CMR10                                Type 1            yes no  no     117  0
> CMEX10                               Type 1            yes no  no     120  0
> CMMI10                               Type 1            yes no  no     118  0
> CMSY10                               Type 1            yes no  no     237  0
> Times-Bold                           Type 1            no  no  no     228  0
> Times-Roman                          Type 1            no  no  no     229  0
> Times-Italic                         Type 1            no  no  no     231  0
> Symbol                               Type 1            no  no  no     121  0
> ZapfChancery-MediumItalic            Type 1            no  no  no     119  0
> Times-Italic                         Type 1            no  no  no     122  0
> Courier                              Type 1            no  no  no     123  0
> Helvetica                            Type 1            no  no  no     124  0
> Times-Roman                          Type 1            no  no  no     125  0
> Courier-Bold                         Type 1            no  no  no     126  0
> [none]                               Type 3            yes no  no     127  0
> [none]                               Type 3            yes no  no     128  0
> [none]                               Type 3            yes no  no     129  0
> [none]                               Type 3            yes no  no     130  0
> [none]                               Type 3            yes no  no     131  0
> [none]                               Type 3            yes no  no     157  0
> [none]                               Type 3            yes no  no     158  0
> Helvetica                            Type 1            no  no  no     208  0
>
>
> On the other hand, another machine which I also upgraded doesn't have
> this problem at all.
>
> Levente
>
> On Mon, Jun 14, 2010 at 9:40 PM, Jero <email address hidden> wrote:
>> With Symbol from my windows install I got the same problem.
>> Like I say in http://bugs.freedesktop.org/show_bug.cgi?id=26139 , If I replace /usr/share/fonts/X11/Type1/Symbol.pfb with symbol.ttf I could see everything ok in the document, Pi character,etc., but that messes up openoffice.
>>
>> (About OO, I can't reproduce it know but it has done things weird in the
>> past exporting to pdf after changing that font)
>>
>> Thanks
>>
>> --
>> Evince displays math equations incorrectly
>> https://bugs.launchpad.ne...

Read more...

Revision history for this message
Levente Torok (toroklev) wrote :
Download full text (6.5 KiB)

Unfortunately I don't have access to the other (good) system now. At
the evening I will have.
Interestingly, I didn't have this package either and problem lived in
the system.
And installing it, didn't change anything.
Second. I did reinstall all the packages that have 'font' or 'poppler'
either in the description or in the name.
Plus I did sudo fc-cache. And the problem still persists.

But now, I did remove the package ttf-symbol-replacement from my wrong
system and the doc looks perfect.
Installed, wrong, deinstalled, good.

So thanks for the help.

Levente

On Tue, Jun 15, 2010 at 10:27 AM, Jero <email address hidden> wrote:
> Levente as you said, okular and evince has the bug but xpdf and acroread not.
>  If you install ttf-symbol-replacement in the other machine, you could
> reproduce the bug?
Unfortunately

> 2010/6/15 Levente Torok <email address hidden>:
>> It is interesting.
>> The same happens to me in okular (unlike in xpdf) so problem is not
>> with evince but with the popplar library for sure. ( see the enclosed
>> png file)
>> I also enclosed the with packages of fonts installed on my system.
>> And this is the output of pdffonts but I still don't know how to come
>> over this problem.
>>
>>
>> lev@red:~$ pdffonts -f 4 BleiJordan_LDA.pdf
>> name                                 type              emb sub uni object ID
>> ------------------------------------ ----------------- --- --- --- ---------
>> CMR10                                Type 1            yes no  no     117  0
>> CMEX10                               Type 1            yes no  no     120  0
>> CMMI10                               Type 1            yes no  no     118  0
>> CMSY10                               Type 1            yes no  no     237  0
>> Times-Bold                           Type 1            no  no  no     228  0
>> Times-Roman                          Type 1            no  no  no     229  0
>> Times-Italic                         Type 1            no  no  no     231  0
>> Symbol                               Type 1            no  no  no     121  0
>> ZapfChancery-MediumItalic            Type 1            no  no  no     119  0
>> Times-Italic                         Type 1            no  no  no     122  0
>> Courier                              Type 1            no  no  no     123  0
>> Helvetica                            Type 1            no  no  no     124  0
>> Times-Roman                          Type 1            no  no  no     125  0
>> Courier-Bold                         Type 1            no  no  no     126  0
>> [none]                               Type 3            yes no  no     127  0
>> [none]                               Type 3            yes no  no     128  0
>> [none]                               Type 3            yes no  no     129  0
>> [none]                               Type 3            yes no  no     130  0
>> [none]                               Type 3            yes no  no     131  0
>> [none]                               Type 3            yes no  no     157  0
>> [none]                               Type 3            yes no  no     158  0
>> Helvetica                            Type 1            no  no  no     208  0
>>
>>
>>...

Read more...

Revision history for this message
In , Jack Leigh (leighman) wrote :

from https://bugs.launchpad.net/ubuntu/+source/wine1.2/+bug/461233

When I open this pdf (attached) with evince, some formulas are rendered incorrectly (eg. p. 71). This also happens in Okular.
Confirmed here wine 1.3.

see also https://bugs.edge.launchpad.net/ubuntu/+source/wine1.2/+bug/605670

Revision history for this message
In , Jack Leigh (leighman) wrote :
Revision history for this message
In , Removed by request (removed1836289) wrote :

For the record, because this bug description is completely confusing:

"""
launchpad:
reassigning to the wine1.2 package (which produces the ttf-symbol-replacement deb)
"""

Apparently, the symbol font produced by wine contains some incorrect glyphs, such as sigma.

Revision history for this message
In , Dmitry-codeweavers (dmitry-codeweavers) wrote :

What Windows application is this bug about? How to reproduce the problem
with a win32 app?

Revision history for this message
In , Removed by request (removed1836289) wrote :

(In reply to comment #3)
> What Windows application is this bug about? How to reproduce the problem
> with a win32 app?

This is an issue with fonts/symbol.ttf, which ubuntu uses to create the ttf-symbol-replacement package. From what I understand anyway...

Revision history for this message
In , Dmitry-codeweavers (dmitry-codeweavers) wrote :

(In reply to comment #4)
> > What Windows application is this bug about? How to reproduce the problem
> > with a win32 app?
>
> This is an issue with fonts/symbol.ttf, which ubuntu uses to create the
> ttf-symbol-replacement package. From what I understand anyway...

It would be helpful to at least describe what exactly the problem is,
and how to reproduce it.

Revision history for this message
In , Jack Leigh (leighman) wrote :

Several users report that when this font is installed by wine some symbols (such as the sigma on p. 71 of the pdf) in pdfs viewed in Evince and Okular (native Linux apps) are incorrectly displayed.

Revision history for this message
In , Austin English (austinenglish) wrote :

(In reply to comment #3)
> What Windows application is this bug about? How to reproduce the problem
> with a win32 app?

It's easy to see in native evince with:
wget http://www.fairchildsemi.com/ds/CD%2FCD4066BC.pdf
sudo apt-get install ttf-symbol-replacement
evince CD_CD4066BC.pdf

there are comparison screenshots on launchpad:
http://launchpadlibrarian.net/51948181/screenshot-OK.png
http://launchpadlibrarian.net/51948191/screenshot-wrong.png

I tried with a windows version of evince, but it doesn't have the problem (though it does crash because of missing helvetica).

Changed in wine:
status: Unknown → New
Changed in wine:
importance: Unknown → Medium
Changed in evince:
importance: Unknown → Medium
Revision history for this message
In , Dmitry-codeweavers (dmitry-codeweavers) wrote :

*** Bug 24731 has been marked as a duplicate of this bug. ***

Revision history for this message
In , Wbreyha (wbreyha) wrote :

Opening the symbol.ttf in fontforge (lots of warnings) and decoding it with ttx shows that the unicode mappings (cmap_format_4) are messed up in this font.

I was able to "repair" it with fontforge with the following steps:

*) open symbol.ttf
*) Encoding->Force Encoding->Symbol
*) Encoding->Reencode->Macintosh Latin
*) File->Generate Fonts... (ignore warnings and save)

Then
*) remove symbol.ttf from whereever it was installed
*) call "fc-cache" as root (-v if you like)
*) copy the new symbol.ttf saved with fontforge to the old path
*) restart the application which displayed the damaged symbols

My "pi" bug 24731 is fixed then.

Revision history for this message
Jack Leigh (leighman) wrote :

Fixed for me on Maverick with the wine PPA -- is this due to a new wine release or a workwaround in the PPA?

Revision history for this message
Roman (m01brv) wrote :

This bug seems fixed in ttf-symbol-replacement for wine-1.3 from the wine ppa, but is still present with wine-1.2 from this same ppa. The wine's Symbol font overrides the original system one for the 1.2 branch, but this no longer happens for the 1.3 branch. It can be checked in e.g. Okular's "File->Properties" dialog, where it shows paths to all not embedded font files. Ubuntu Lucid Lynx.

Revision history for this message
Roman (m01brv) wrote :

Oh, it seems this ttf-symbol-replacement-wine1.3 package does not contain any font at all! There is only a single "changelog" file in /usr/share/doc, according to Synaptic... Then it is clear why it looks "fixed"...

Revision history for this message
In , Roman (m01brv) wrote :

Indeed, the issue is with the unicode encoding. In my case, e.g., the degree sign (U+00B0) was rendered as uppercase Upsilon which is wrongly mapped in the wine's Symbol font by the same code. And wine's unicode code for the degree symbol is U+221e, which normally refers to the math infinity sign.

I think it would be great if this font was somehow prevented to override other system fonts for native linux applications, even after the unicode mismatch issue is corrected. Why my usual linux apps should be forced to use a wine's font?

Revision history for this message
In , Chris W (cwedge) wrote :

I have exactly the same problem as described above, the degree sign is rendered as uppercase Upsilon. Is there a workaround to fix this (intelligible to somebody who has never had to deal with fonts on linux before).
I'm using evince 2.30.3-0ubuntu1.2 on Ubuntu Lucid Lynx. Thanks.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wine1.2 - 1.2.3-0ubuntu1

---------------
wine1.2 (1.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #771769)
    - Translation updates.
    - Various bug fixes.
  * Remove ttf-symbol-replacement package (LP: #162111, #789479)
  * Wine meta package now installs wine1.3
  * debian/control:
    - Remove unused libstdc++ from build deps
    - Apply wrap-and-sort to put build deps on individual lines
    - breaks/replaces on ttf-symbol-replacement
  * Remove unused pgo.tar.coded in source package
 -- Scott Ritchie <email address hidden> Mon, 19 Sep 2011 14:12:05 -0700

Changed in wine1.2 (Ubuntu):
status: New → Fix Released
Revision history for this message
In , Winehq-f (winehq-f) wrote :

This bug still exists in Wine 1.3.29 and yet there has been no activity on it for a year. Is anyone looking into it? The symbols.ttf font has a long list of incorrect mappings, and since the Ubuntu packages install this font as the default Symbols font for the entire system, it affects many programs, at least on Ubuntu. I suspect the same may be true for many other distributions.

Where did this font come from? Was it created by the Wine project? If so, can it please be fixed? If not, then who created it and can we get them to fix it?

If none of this is possible, then can it at least not be installed as the default Symbols font for the entire OS?

I'd also say this bug can be confirmed, and the importance upgraded a little.

Revision history for this message
In , Winehq-f (winehq-f) wrote :

Here is a partial list of incorrect mappings in symbols.ttf (this is just from the "Mathematical Operators" Unicode block:

0x2206 INCREMENT (displayed as an empty set symbol)
0x220f N-ARY PRODUCT (displayed as a division operator)
0x2211 N-ARY SUMMATION (displayed as a filled circle)
0x221a SQUARE ROOT (displayed as a squiggle)
0x221e INFINITY (displayed as an open circle)
0x222b INTEGRAL (displayed as three stacked horizontal bars)
0x2248 ALMOST EQUAL TO (displayed as a circled plus sign)
0x2260 NOT EQUAL TO (displayed as an up arrow)
0x2264 LESS-THAN OR EQUAL TO (displayed as a double quote)

Like I said, this is just from the "Mathematical Operators" block, I didn't check any other blocks, although we know there must be other blocks involved since the bullet symbol at least is also wrong and that is in the "General Punctuation" block. This is just to demonstrate the extent of the problem.

Revision history for this message
James Smith (wellhiyaorbyeya) wrote :

Can't resolve dependency problems

Revision history for this message
madbiologist (me-again) wrote :

There doesn't seem to be any bug in Evince. Marking the Evince task Invalid.

Changed in evince (Ubuntu):
status: Triaged → Invalid
Revision history for this message
In , PJBrs (pjbeers) wrote :

I can confirm for wine-3.0.

I just overwrote the wine font with its Microsoft counterparts, and now bullets in pdf documents no longer appear as infinity signs.

Revision history for this message
In , PJBrs (pjbeers) wrote :

Oops, copying the microsoft file does not fix the fonts. Sorry for the spam!

Changed in evince:
status: Confirmed → Expired
no longer affects: wine1.2 (Ubuntu)
no longer affects: evince (Ubuntu)
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in evince (Ubuntu):
status: New → Confirmed
affects: wine → evince (Ubuntu)
Changed in evince (Ubuntu):
importance: Medium → Undecided
no longer affects: evince (Ubuntu)
affects: evince → evince (Ubuntu)
Changed in evince (Ubuntu):
importance: Medium → Undecided
status: Expired → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.